#!/bin/sh
REMOVE_VADP="1"
TASK_PATH="/etc/conf.d/event/task"
cmd=${1}
pkgpath=${2}
new_package=${3}
prog="install"
binpath="${pkgpath}/${prog}"
export pkgpath
export REMOVE_VADP
_Log()
{
	if [ -z "${SCRIPT_NAME}" ]; then
		echo "${1}"
	else
		echo "<script language='javaScript'>document.write('${1}')</script><br>"
	fi
}

case ${cmd} in
#	start)
#		echo "."
#		;;
#	stop)
#		echo "."
#		;;
	install)
		_Log "Patch result: $(${binpath} ${2})"
		if [ "$REMOVE_VADP" = "1" ] || [ -f "/mnt/ramdisk/script_full" ]  ;then
			rm -f /mnt/ramdisk/script_full
			rm -rf ${2}
			exit 1
		else
			exit 0
		fi
		;;
#	upgrade)
#		echo "."
#		;;
	remove)
		
		rm -f "$pkgpath/patch_data/Customized_Script.xml" 

		for Index in $(seq 1 3); do
			USER_XML=`readlink "$TASK_PATH/User$Index.xml"`
			if [ ! -f "$USER_XML" ]; then
				rm -f "$TASK_PATH/User$Index.xml"
			fi	
		done

		#reload task configuration files( /etc/conf.d/event/task/ )
		kill -SIGUSR1 `pidof eventmgr`
		;;
	*)
        exit 1
		;;
esac

exit 0

